Subject: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Len Trigg <[email-masked]>
Date: Thu, 27 Feb 2025 08:28:52 +1300

On Wed, 26 Feb 2025 at 21:45, martin rudalics <[email-masked]> wrote:

>  A child frame is supposed to show a minibuffer unless it is created with
> (minibuffer . nil) or some value specifying a minibuffer on some other
> frame.  How precisely is your child frame created?
>

Sorry, my terminology may not be correct, I meant there are two "input
areas" at once (probably only the second one at the bottom of the frame is
an actual minibuffer?), see picture below:

The two input areas is not what we get when the same is invoked in GUI
rather than TTY (and not what the TTY behaviour used to be):

(In terms of how it's actually created, I guess that's in one of vertico /
posframe / vertico-posframe).

Cheers,
Len.